Last updated: 2026-05-05 07:55:04 AEST

API Changelog 2026-04-30_19-26_543d710 vs. 2026-05-05_07-46_74ffa23

API Changes

GET /main-account/webhooks

  • ⚠️ added the new NOT_SUPPLIED_LOAN_CLOSE_DECLINED enum value to the content/items/eventType response property for the response status 200

POST /main-account/webhooks

  • added the new NOT_SUPPLIED_LOAN_CLOSE_DECLINED enum value to the request property eventType

GET /main-account/webhooks/executions

  • ⚠️ added the new NOT_SUPPLIED_LOAN_CLOSE_DECLINED enum value to the content/items/eventType response property for the response status 200

GET /main-account/webhooks/{id}

  • ⚠️ added the new NOT_SUPPLIED_LOAN_CLOSE_DECLINED enum value to the eventType response property for the response status 200

Components

  • webhook NotSuppliedLoanCloseDeclined added

Last updated: 2026-04-28 22:14:54 AEST

API Changelog 2026-04-27_23-22_176c8d8 vs. 2026-04-28_21-53_d16e49c

API Changes

POST /main-account/sub-accounts/{id}/credit-checks

  • endpoint added

GET /main-account/sub-accounts/{id}/credit-checks/latest

  • endpoint added

POST /sub-account/loans/applications

  • the request property fiatPrincipalAmount became optional
  • the request property fiatWithdrawalBankAccount became optional
  • the request property securityCryptoAmount became optional
  • the request property termInYears became optional

PATCH /sub-account/loans/applications/{id}

  • added the new optional request property fiatWithdrawalBankAccount
  • added the new optional request property termInYears

Last updated: 2026-04-24 11:48:41 AEST

API Changelog 2026-04-24_06-41_a2f18b1 vs. 2026-04-24_11-40_5d8e69b

API Changes

POST /sub-account/loans/applications

  • the request property fiatPrincipalAmount became optional
  • the request property fiatWithdrawalBankAccount became optional
  • the request property securityCryptoAmount became optional
  • the request property termInYears became optional

PATCH /sub-account/loans/applications/{id}

  • added the new optional request property fiatWithdrawalBankAccount
  • added the new optional request property termInYears

Last updated: 2026-04-23 21:49:51 AEST

API Changelog 2026-04-23_17-12_d3296a2 vs. 2026-04-23_21-40_cfa89ac

API Changes

POST /sub-account/loans/applications

  • the request property fiatPrincipalAmount became optional
  • the request property fiatWithdrawalBankAccount became optional
  • the request property securityCryptoAmount became optional
  • the request property termInYears became optional

PATCH /sub-account/loans/applications/{id}

  • ⚠️ added the new required request property fiatWithdrawalBankAccount
  • ⚠️ added the new required request property termInYears

Last updated: 2026-04-10 16:11:46 AEST

API Changelog 2026-04-10_01-38_caa23cc vs. 2026-04-10_16-03_f0a3e76

API Changes

DELETE /main-account/sub-accounts/{id}

  • ⚠️ for the 'path' request parameter 'id', the type/format was changed from 'string'/'' to 'string'/'uuid'

DELETE /main-account/withdrawal/fiat/bank-accounts/{id}

  • ⚠️ for the 'path' request parameter 'id', the type/format was changed from 'string'/'' to 'string'/'uuid'

POST /main-account/withdrawal/fiat/bank-accounts/{id}/withdraw

  • ⚠️ for the 'path' request parameter 'id', the type/format was changed from 'string'/'' to 'string'/'uuid'

PATCH /sub-account/loans/applications/{id}/apply-for/{reason}

  • ⚠️ for the 'path' request parameter 'id', the type/format was changed from 'string'/'' to 'string'/'uuid'
  • for the 'path' request parameter 'id', the minLength was decreased from '1' to '0'

GET /sub-account/loans/applications/{id}/documents/{type}/upload-link

  • ⚠️ for the 'path' request parameter 'id', the type/format was changed from 'string'/'' to 'string'/'uuid'
  • for the 'path' request parameter 'id', the minLength was decreased from '1' to '0'

POST /sub-account/loans/applications/{id}/withdraw

  • ⚠️ for the 'path' request parameter 'id', the type/format was changed from 'string'/'' to 'string'/'uuid'
  • for the 'path' request parameter 'id', the minLength was decreased from '1' to '0'

Last updated: 2026-04-08 01:33:49 AEST

API Changelog 2026-04-04_00-41_214738c vs. 2026-04-08_01-23_2a47d23

API Changes

POST /main-account/loans/transactions

  • ⚠️ removed the enum value 'AUTO_REPAYMENT' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'BORROW' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'FAILED' of the request property 'filter/dependentSchemas[status]/items/'
  • ⚠️ removed the enum value 'PENDING' of the request property 'filter/dependentSchemas[status]/items/'
  • ⚠️ removed the enum value 'REPAYMENT' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'SUCCESS' of the request property 'filter/dependentSchemas[status]/items/'
  • ⚠️ removed the enum value 'TOP_UP_COLLATERAL' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'WITHDRAW_COLLATERAL' of the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'AUTO_FIAT_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'AUTO_SECURITY_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'COMPLETED' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'FIAT_BORROW' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'FIAT_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'INITIATED' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'PICKED_FOR_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'POSTPONED_TO_NEXT_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'PRE_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'READY_FOR_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'ROLLED_BACK' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'SECURITY_DEPOSIT' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'SECURITY_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'SECURITY_WITHDRAWAL' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'WAITING_FOR_FIAT_TRANSFER_TO_USER' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'WITHDRAWAL_INITIATED' enum value to the request property 'filter/dependentSchemas[status]/items/'

GET /sub-account/loans/applications

  • ⚠️ added the new 'DRAFT' enum value to the '/items/applyFor' response property for the response status '200'
  • ⚠️ added the new 'DRAFT' enum value to the '/items/status' response property for the response status '200'

POST /sub-account/loans/applications

  • ⚠️ added the new 'DRAFT' enum value to the 'applyFor' response property for the response status '200'
  • ⚠️ added the new 'DRAFT' enum value to the 'status' response property for the response status '200'
  • added the new 'DRAFT' enum value to the request property 'applyFor'

PATCH /sub-account/loans/applications/{id}

  • endpoint added

PATCH /sub-account/loans/applications/{id}/apply-for/{reason}

  • ⚠️ added the new 'DRAFT' enum value to the 'applyFor' response property for the response status '200'
  • ⚠️ added the new 'DRAFT' enum value to the 'status' response property for the response status '200'

POST /sub-account/loans/applications/{id}/withdraw

  • ⚠️ added the new 'DRAFT' enum value to the 'applyFor' response property for the response status '200'
  • ⚠️ added the new 'DRAFT' enum value to the 'status' response property for the response status '200'

GET /sub-account/loans/redraws/applications

  • ⚠️ added the new 'DRAFT' enum value to the '/items/status' response property for the response status '200'

POST /sub-account/loans/redraws/applications

  • ⚠️ added the new 'DRAFT' enum value to the 'status' response property for the response status '200'

POST /sub-account/loans/transactions

  • ⚠️ removed the enum value 'AUTO_REPAYMENT' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'BORROW' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'FAILED' of the request property 'filter/dependentSchemas[status]/items/'
  • ⚠️ removed the enum value 'PENDING' of the request property 'filter/dependentSchemas[status]/items/'
  • ⚠️ removed the enum value 'REPAYMENT' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'SUCCESS' of the request property 'filter/dependentSchemas[status]/items/'
  • ⚠️ removed the enum value 'TOP_UP_COLLATERAL' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'WITHDRAW_COLLATERAL' of the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'AUTO_FIAT_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'AUTO_SECURITY_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'COMPLETED' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'FIAT_BORROW' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'FIAT_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'INITIATED' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'PICKED_FOR_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'POSTPONED_TO_NEXT_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'PRE_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'READY_FOR_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'ROLLED_BACK' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'SECURITY_DEPOSIT' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'SECURITY_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'SECURITY_WITHDRAWAL' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'WAITING_FOR_FIAT_TRANSFER_TO_USER' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'WITHDRAWAL_INITIATED' enum value to the request property 'filter/dependentSchemas[status]/items/'

Last updated: 2026-04-08 00:34:00 AEST

API Changelog 2026-04-04_00-41_214738c vs. 2026-04-08_00-24_9505840

API Changes

POST /main-account/loans/transactions

  • ⚠️ removed the enum value 'AUTO_REPAYMENT' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'BORROW' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'FAILED' of the request property 'filter/dependentSchemas[status]/items/'
  • ⚠️ removed the enum value 'PENDING' of the request property 'filter/dependentSchemas[status]/items/'
  • ⚠️ removed the enum value 'REPAYMENT' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'SUCCESS' of the request property 'filter/dependentSchemas[status]/items/'
  • ⚠️ removed the enum value 'TOP_UP_COLLATERAL' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'WITHDRAW_COLLATERAL' of the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'AUTO_FIAT_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'AUTO_SECURITY_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'COMPLETED' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'FIAT_BORROW' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'FIAT_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'INITIATED' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'PICKED_FOR_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'POSTPONED_TO_NEXT_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'PRE_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'READY_FOR_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'ROLLED_BACK' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'SECURITY_DEPOSIT' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'SECURITY_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'SECURITY_WITHDRAWAL' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'WAITING_FOR_FIAT_TRANSFER_TO_USER' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'WITHDRAWAL_INITIATED' enum value to the request property 'filter/dependentSchemas[status]/items/'

GET /sub-account/loans/applications

  • ⚠️ added the new 'DRAFT' enum value to the '/items/applyFor' response property for the response status '200'
  • ⚠️ added the new 'DRAFT' enum value to the '/items/status' response property for the response status '200'

POST /sub-account/loans/applications

  • ⚠️ added the new 'DRAFT' enum value to the 'applyFor' response property for the response status '200'
  • ⚠️ added the new 'DRAFT' enum value to the 'status' response property for the response status '200'
  • added the new 'DRAFT' enum value to the request property 'applyFor'

PATCH /sub-account/loans/applications/{id}

  • endpoint added

PATCH /sub-account/loans/applications/{id}/apply-for/{reason}

  • ⚠️ added the new 'DRAFT' enum value to the 'applyFor' response property for the response status '200'
  • ⚠️ added the new 'DRAFT' enum value to the 'status' response property for the response status '200'

POST /sub-account/loans/applications/{id}/withdraw

  • ⚠️ added the new 'DRAFT' enum value to the 'applyFor' response property for the response status '200'
  • ⚠️ added the new 'DRAFT' enum value to the 'status' response property for the response status '200'

GET /sub-account/loans/redraws/applications

  • ⚠️ added the new 'DRAFT' enum value to the '/items/status' response property for the response status '200'

POST /sub-account/loans/redraws/applications

  • ⚠️ added the new 'DRAFT' enum value to the 'status' response property for the response status '200'

POST /sub-account/loans/transactions

  • ⚠️ removed the enum value 'AUTO_REPAYMENT' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'BORROW' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'FAILED' of the request property 'filter/dependentSchemas[status]/items/'
  • ⚠️ removed the enum value 'PENDING' of the request property 'filter/dependentSchemas[status]/items/'
  • ⚠️ removed the enum value 'REPAYMENT' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'SUCCESS' of the request property 'filter/dependentSchemas[status]/items/'
  • ⚠️ removed the enum value 'TOP_UP_COLLATERAL' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'WITHDRAW_COLLATERAL' of the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'AUTO_FIAT_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'AUTO_SECURITY_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'COMPLETED' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'FIAT_BORROW' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'FIAT_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'INITIATED' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'PICKED_FOR_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'POSTPONED_TO_NEXT_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'PRE_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'READY_FOR_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'ROLLED_BACK' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'SECURITY_DEPOSIT' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'SECURITY_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'SECURITY_WITHDRAWAL' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'WAITING_FOR_FIAT_TRANSFER_TO_USER' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'WITHDRAWAL_INITIATED' enum value to the request property 'filter/dependentSchemas[status]/items/'

Last updated: 2026-04-07 20:12:13 AEST

API Changelog 2026-04-04_00-41_214738c vs. 2026-04-07_19-51_3d14c3a

API Changes

POST /main-account/loans/transactions

  • ⚠️ removed the enum value 'AUTO_REPAYMENT' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'BORROW' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'FAILED' of the request property 'filter/dependentSchemas[status]/items/'
  • ⚠️ removed the enum value 'PENDING' of the request property 'filter/dependentSchemas[status]/items/'
  • ⚠️ removed the enum value 'REPAYMENT' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'SUCCESS' of the request property 'filter/dependentSchemas[status]/items/'
  • ⚠️ removed the enum value 'TOP_UP_COLLATERAL' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'WITHDRAW_COLLATERAL' of the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'AUTO_FIAT_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'AUTO_SECURITY_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'COMPLETED' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'FIAT_BORROW' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'FIAT_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'INITIATED' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'PICKED_FOR_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'POSTPONED_TO_NEXT_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'PRE_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'READY_FOR_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'ROLLED_BACK' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'SECURITY_DEPOSIT' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'SECURITY_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'SECURITY_WITHDRAWAL' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'WAITING_FOR_FIAT_TRANSFER_TO_USER' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'WITHDRAWAL_INITIATED' enum value to the request property 'filter/dependentSchemas[status]/items/'

GET /sub-account/loans/applications

  • ⚠️ added the new 'DRAFT' enum value to the '/items/applyFor' response property for the response status '200'
  • ⚠️ added the new 'DRAFT' enum value to the '/items/status' response property for the response status '200'

POST /sub-account/loans/applications

  • ⚠️ added the new 'DRAFT' enum value to the 'applyFor' response property for the response status '200'
  • ⚠️ added the new 'DRAFT' enum value to the 'status' response property for the response status '200'
  • added the new 'DRAFT' enum value to the request property 'applyFor'

PATCH /sub-account/loans/applications/{id}

  • endpoint added

PATCH /sub-account/loans/applications/{id}/apply-for/{reason}

  • ⚠️ added the new 'DRAFT' enum value to the 'applyFor' response property for the response status '200'
  • ⚠️ added the new 'DRAFT' enum value to the 'status' response property for the response status '200'

POST /sub-account/loans/applications/{id}/withdraw

  • ⚠️ added the new 'DRAFT' enum value to the 'applyFor' response property for the response status '200'
  • ⚠️ added the new 'DRAFT' enum value to the 'status' response property for the response status '200'

GET /sub-account/loans/redraws/applications

  • ⚠️ added the new 'DRAFT' enum value to the '/items/status' response property for the response status '200'

POST /sub-account/loans/redraws/applications

  • ⚠️ added the new 'DRAFT' enum value to the 'status' response property for the response status '200'

POST /sub-account/loans/transactions

  • ⚠️ removed the enum value 'AUTO_REPAYMENT' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'BORROW' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'FAILED' of the request property 'filter/dependentSchemas[status]/items/'
  • ⚠️ removed the enum value 'PENDING' of the request property 'filter/dependentSchemas[status]/items/'
  • ⚠️ removed the enum value 'REPAYMENT' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'SUCCESS' of the request property 'filter/dependentSchemas[status]/items/'
  • ⚠️ removed the enum value 'TOP_UP_COLLATERAL' of the request property 'filter/dependentSchemas[type]/items/'
  • ⚠️ removed the enum value 'WITHDRAW_COLLATERAL' of the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'AUTO_FIAT_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'AUTO_SECURITY_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'COMPLETED' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'FIAT_BORROW' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'FIAT_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'INITIATED' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'PICKED_FOR_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'POSTPONED_TO_NEXT_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'PRE_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'READY_FOR_RECKONING' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'ROLLED_BACK' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'SECURITY_DEPOSIT' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'SECURITY_REPAY' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'SECURITY_WITHDRAWAL' enum value to the request property 'filter/dependentSchemas[type]/items/'
  • added the new 'WAITING_FOR_FIAT_TRANSFER_TO_USER' enum value to the request property 'filter/dependentSchemas[status]/items/'
  • added the new 'WITHDRAWAL_INITIATED' enum value to the request property 'filter/dependentSchemas[status]/items/'

Last updated: 2026-04-04 09:50:56 AEDT

API Changelog 2026-04-04_00-41_214738c vs. 2026-04-04_09-43_8d73ad1

API Changes

GET /sub-account/loans/applications

  • ⚠️ added the new 'DRAFT' enum value to the '/items/applyFor' response property for the response status '200'
  • ⚠️ added the new 'DRAFT' enum value to the '/items/status' response property for the response status '200'

POST /sub-account/loans/applications

  • ⚠️ added the new 'DRAFT' enum value to the 'applyFor' response property for the response status '200'
  • ⚠️ added the new 'DRAFT' enum value to the 'status' response property for the response status '200'
  • added the new 'DRAFT' enum value to the request property 'applyFor'

PATCH /sub-account/loans/applications/{id}

  • endpoint added

PATCH /sub-account/loans/applications/{id}/apply-for/{reason}

  • ⚠️ added the new 'DRAFT' enum value to the 'applyFor' response property for the response status '200'
  • ⚠️ added the new 'DRAFT' enum value to the 'status' response property for the response status '200'

POST /sub-account/loans/applications/{id}/withdraw

  • ⚠️ added the new 'DRAFT' enum value to the 'applyFor' response property for the response status '200'
  • ⚠️ added the new 'DRAFT' enum value to the 'status' response property for the response status '200'

GET /sub-account/loans/redraws/applications

  • ⚠️ added the new 'DRAFT' enum value to the '/items/status' response property for the response status '200'

POST /sub-account/loans/redraws/applications

  • ⚠️ added the new 'DRAFT' enum value to the 'status' response property for the response status '200'

Last updated: 2026-03-23 09:14:33 AEDT

API Changelog 2026-03-20_10-29_044c4dc vs. 2026-03-23_09-06_a0cd9d3

POST /main-account/loans/transactions

  • added the optional property 'content/items/loanApplicationId' to the response with the '200' status

PATCH /sub-account/loans/transactions

  • added the optional property '/items/loanApplicationId' to the response with the '200' status

POST /sub-account/loans/transactions

  • added the optional property 'content/items/loanApplicationId' to the response with the '200' status